import { Router } from "express";
import { UsersController } from "../controllers/users.controller";

const router = Router();
const usersController = new UsersController();

router.post("/paginate", usersController.paginateUsers);
router.post("/update", usersController.updateProfile);
router.post("/set-verified", usersController.setVerifiedStatus);
router.post("/organizations-status", usersController.organizationsStatus);
router.post("/delete", usersController.deleteUser);

export default router;
